AUI.Minimap.Pin = {}

AUI_IC_PIN_POSITIONS = 
{
	{ .515175, .543171 },
	{ .557232, .336507 },
	{ .397913, .416717 },
}

AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND = 10000
AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_DEAD = 10002
AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_IN_COMBAT = 10003
AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND_DEAD = 10004
AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND_IN_COMBAT = 10005
AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND = 10006
AUI_MINIMAP_PIN_TYPE_GROUP_DEAD = 10007
AUI_MINIMAP_PIN_TYPE_GROUP_IN_COMBAT = 10008
AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND_IN_COMBAT = 10009
AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND_DEAD = 10010
AUI_MINIMAP_PIN_TYPE_POI_UNKNOWN = 10100

AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_MAINSTORY = 11000
AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_MAINSTORY = 11001
AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_MAINSTORY = 11002

AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_DAILY = 12000
AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_DAILY = 12001
AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_DAILY = 12002

AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_REPEATABLE = 13000	
AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_REPEATABLE = 13001
AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_REPEATABLE = 13002

AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_HOLIDAY = 14000		
AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_HOLIDAY = 14001	
AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_HOLIDAY = 14002

AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_ZONE = 15000		
AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_ZONE = 15001	
AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_ZONE = 15002

AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_MAINSTORY = 25000
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_MAINSTORY = 25001
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_MAINSTORY = 25002

AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_DAILY = 26000
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_DAILY = 26001
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_DAILY = 26002

AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_REPEATABLE = 27000	
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_REPEATABLE = 27001
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_REPEATABLE = 27002

AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_HOLIDAY = 28000		
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_HOLIDAY = 28001	
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_HOLIDAY = 28002

AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_ZONE = 29000		
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_ZONE = 29001	
AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_ZONE = 29002

AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_MAINSTORY = 39000
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_MAINSTORY = 39001
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_MAINSTORY = 39002	

AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_REPEATABLE = 30000	
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_REPEATABLE = 30001
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_REPEATABLE = 30002

AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_DAILY = 31000
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_DAILY = 31001
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_DAILY = 31002

AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_HOLIDAY = 32000
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_HOLIDAY = 32001	
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_HOLIDAY = 32002
	
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_ZONE = 33000
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_ZONE = 33001	
AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_ZONE = 33002	
	
AUI_MINIMAP_UNIT_NORMAL = 0
AUI_MINIMAP_UNIT_IN_COMBAT = 2
AUI_MINIMAP_UNIT_DEAD = 1

local function GetGroupLeaderCombatTexture()
	local overlayTexture = "EsoUI/Art/Compass/groupLeader.dds"
	local highlightTexture = "EsoUI/Art/MapPins/ava_attackburst_32.dds"
	
	return overlayTexture, nil, highlightTexture
end

local function GetGroupLeaderDeadTexture()
	local overlayTexture = "EsoUI/Art/Compass/groupLeader.dds"
	local highlightTexture = "EsoUI/Art/MapPins/deathrecap_killingblow_icon.dds"
	
	return overlayTexture, nil, highlightTexture
end

local function GetGroupMemberCombatTexture()
	local overlayTexture = "EsoUI/Art/MapPins/UI-WorldMapGroupPip.dds"
	local highlightTexture = "EsoUI/Art/MapPins/ava_attackburst_32.dds"
	
	return overlayTexture, nil, highlightTexture
end

local function GetGroupMemberDeadTexture()
	local overlayTexture = "EsoUI/Art/MapPins/UI-WorldMapGroupPip.dds"
	local highlightTexture = "EsoUI/Art/MapPins/deathrecap_killingblow_icon.dds"
	
	return overlayTexture, nil, highlightTexture
end

----------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------


----------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------

ZO_MapPin.UNIT_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND] = true
ZO_MapPin.UNIT_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_IN_COMBAT] = true
ZO_MapPin.UNIT_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND_IN_COMBAT] = true
ZO_MapPin.UNIT_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_DEAD] = true
ZO_MapPin.UNIT_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND_DEAD] = true
ZO_MapPin.UNIT_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND] = true
ZO_MapPin.UNIT_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND_DEAD] = true
ZO_MapPin.UNIT_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_GROUP_DEAD] = true
ZO_MapPin.UNIT_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND_IN_COMBAT] = true
ZO_MapPin.UNIT_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_GROUP_IN_COMBAT] = true

----------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------

ZO_MapPin.GROUP_LEADER_PIN_TYPES = {}
ZO_MapPin.GROUP_LEADER_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND] = true
ZO_MapPin.GROUP_LEADER_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_IN_COMBAT] = true
ZO_MapPin.GROUP_LEADER_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND_IN_COMBAT] = true
ZO_MapPin.GROUP_LEADER_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_DEAD] = true
ZO_MapPin.GROUP_LEADER_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND_DEAD] = true

----------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------

ZO_MapPin.GROUP_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND] = true
ZO_MapPin.GROUP_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_IN_COMBAT] = true
ZO_MapPin.GROUP_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND_IN_COMBAT] = true
ZO_MapPin.GROUP_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_DEAD] = true
ZO_MapPin.GROUP_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND_DEAD] = true
ZO_MapPin.GROUP_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND] = true
ZO_MapPin.GROUP_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND_DEAD] = true
ZO_MapPin.GROUP_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_GROUP_DEAD] = true
ZO_MapPin.GROUP_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND_IN_COMBAT] = true
ZO_MapPin.GROUP_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_GROUP_IN_COMBAT] = true

ZO_MapPin.POI_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_POI_UNKNOWN] = true

----------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------

ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_MAINSTORY] = true		
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_MAINSTORY] = true	
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_MAINSTORY] = true

ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_REPEATABLE] = true
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_REPEATABLE] = true	
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_REPEATABLE] = true

ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_DAILY] = true
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_DAILY] = true	
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_DAILY] = true

ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_HOLIDAY] = true		
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_HOLIDAY] = true	
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_HOLIDAY] = true

ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_ZONE] = true		
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_ZONE] = true	
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_ZONE] = true

ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_MAINSTORY] = true
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_MAINSTORY] = true
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_MAINSTORY] = true

ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_REPEATABLE] = true
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_REPEATABLE] = true	
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_REPEATABLE] = true

ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_DAILY] = true
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_DAILY] = true	
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_DAILY] = true

ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_HOLIDAY] = true		
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_HOLIDAY] = true	
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_HOLIDAY] = true

ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_ZONE] = true		
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_ZONE] = true	
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_ZONE] = true

ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_MAINSTORY] = true
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_MAINSTORY] = true
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_MAINSTORY] = true

ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_REPEATABLE] = true
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_REPEATABLE] = true
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_REPEATABLE] = true

ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_DAILY] = true
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_DAILY] = true
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_DAILY] = true

ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_HOLIDAY] = true		
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_HOLIDAY] = true	
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_HOLIDAY] = true

ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_ZONE] = true		
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_ZONE] = true	
ZO_MapPin.QUEST_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_ZONE] = true

----------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------

ZO_MapPin.ASSISTED_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_MAINSTORY] = true
ZO_MapPin.ASSISTED_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_MAINSTORY] = true
ZO_MapPin.ASSISTED_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_MAINSTORY] = true

ZO_MapPin.ASSISTED_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_REPEATABLE] = true
ZO_MapPin.ASSISTED_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_REPEATABLE] = true
ZO_MapPin.ASSISTED_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_REPEATABLE] = true

ZO_MapPin.ASSISTED_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_DAILY] = true
ZO_MapPin.ASSISTED_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_DAILY] = true
ZO_MapPin.ASSISTED_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_DAILY] = true

ZO_MapPin.ASSISTED_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_HOLIDAY] = true		
ZO_MapPin.ASSISTED_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_HOLIDAY] = true	
ZO_MapPin.ASSISTED_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_HOLIDAY] = true

ZO_MapPin.ASSISTED_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_ZONE] = true		
ZO_MapPin.ASSISTED_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_ZONE] = true	
ZO_MapPin.ASSISTED_PIN_TYPES[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_ZONE] = true
----------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------

AUI_MINIMAP_ALLIANCE_TO_RESTRICTED_PIN_TYPE = {
	[ALLIANCE_ALDMERI_DOMINION] = MAP_PIN_TYPE_RESTRICTED_LINK_ALDMERI_DOMINION,
	[ALLIANCE_EBONHEART_PACT] = MAP_PIN_TYPE_RESTRICTED_LINK_EBONHEART_PACT,
	[ALLIANCE_DAGGERFALL_COVENANT] = MAP_PIN_TYPE_RESTRICTED_LINK_DAGGERFALL_COVENANT,
}

AUI_MINIMAP_QUEST_PIN_TEXTURES = {
	[MAP_PIN_TYPE_ASSISTED_QUEST_CONDITION] = "EsoUI/Art/Compass/quest_icon_assisted.dds",
	[MAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION] = "EsoUI/Art/Compass/quest_icon_assisted.dds",
	[MAP_PIN_TYPE_ASSISTED_QUEST_ENDING] = "EsoUI/Art/Compass/quest_icon_assisted.dds",
	
	[MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_CONDITION] = "EsoUI/Art/Compass/repeatableQuest_icon_assisted.dds",
	[MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_OPTIONAL_CONDITION] = "EsoUI/Art/Compass/repeatableQuest_icon_assisted.dds",
	[MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_ENDING] = "EsoUI/Art/Compass/repeatableQuest_icon_assisted.dds",
	
	[MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_CONDITION] = "EsoUI/Art/Compass/zoneStoryQuest_icon_assisted.dds",
	[MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_OPTIONAL_CONDITION] = "EsoUI/Art/Compass/zoneStoryQuest_icon_assisted.dds",
	[MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_ENDING] = "EsoUI/Art/Compass/zoneStoryQuest_icon_assisted.dds",
	
	[MAP_PIN_TYPE_TRACKED_QUEST_CONDITION] = "EsoUI/Art/Compass/quest_icon.dds",
	[MAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION] = "EsoUI/Art/Compass/quest_icon.dds",
	[MAP_PIN_TYPE_TRACKED_QUEST_ENDING] = "EsoUI/Art/Compass/quest_icon.dds",
	
	[MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_CONDITION] = "EsoUI/Art/Compass/repeatableQuest_icon.dds",
	[MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_OPTIONAL_CONDITION] = "EsoUI/Art/Compass/repeatableQuest_icon.dds",
	[MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_ENDING] = "EsoUI/Art/Compass/repeatableQuest_icon.dds",
	
	[MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_CONDITION] = "EsoUI/Art/Compass/zoneStoryQuest_icon.dds",
	[MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_OPTIONAL_CONDITION] = "EsoUI/Art/Compass/zoneStoryQuest_icon.dds",
	[MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_ENDING] = "EsoUI/Art/Compass/zoneStoryQuest_icon.dds",
	
	[MAP_PIN_TYPE_QUEST_CONDITION] = "EsoUI/Art/Compass/quest_icon.dds",
	[MAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION] = "EsoUI/Art/Compass/quest_icon.dds",
	[MAP_PIN_TYPE_QUEST_ENDING] = "EsoUI/Art/Compass/quest_icon.dds",
	
	[MAP_PIN_TYPE_QUEST_REPEATABLE_CONDITION] = "EsoUI/Art/Compass/repeatableQuest_icon.dds",
	[MAP_PIN_TYPE_QUEST_REPEATABLE_OPTIONAL_CONDITION] = "EsoUI/Art/Compass/repeatableQuest_icon.dds",
	[MAP_PIN_TYPE_QUEST_REPEATABLE_ENDING] = "EsoUI/Art/Compass/repeatableQuest_icon.dds",
	
	[MAP_PIN_TYPE_QUEST_ZONE_STORY_CONDITION] = "EsoUI/Art/Compass/zoneStoryQuest_icon.dds",
	[MAP_PIN_TYPE_QUEST_ZONE_STORY_OPTIONAL_CONDITION] = "EsoUI/Art/Compass/zoneStoryQuest_icon.dds",
	[MAP_PIN_TYPE_QUEST_ZONE_STORY_ENDING] = "EsoUI/Art/Compass/zoneStoryQuest_icon.dds",	
	
	[MAP_PIN_TYPE_TRACKED_QUEST_OFFER_ZONE_STORY] = "EsoUI/Art/Compass/zoneStoryQuest_available_icon.dds",	
	
	[AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_MAINSTORY] = "EsoUI/Art/Compass/quest_icon.dds",
	[AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_MAINSTORY] = "EsoUI/Art/Compass/quest_icon.dds",
	[AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_MAINSTORY] = "EsoUI/Art/Compass/quest_icon.dds",		
	
	[AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_REPEATABLE] = "EsoUI/Art/Compass/repeatableQuest_icon.dds",
	[AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_REPEATABLE] = "EsoUI/Art/Compass/repeatableQuest_icon.dds",
	[AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_REPEATABLE] = "EsoUI/Art/Compass/repeatableQuest_icon.dds",		
	
	[AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_DAILY] = "EsoUI/Art/Compass/repeatableQuest_icon.dds",
	[AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_DAILY] = "EsoUI/Art/Compass/repeatableQuest_icon.dds",
	[AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_DAILY] = "EsoUI/Art/Compass/repeatableQuest_icon.dds",	
	
	[AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_HOLIDAY] = "EsoUI/Art/Compass/repeatableQuest_icon.dds",
	[AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_HOLIDAY] = "EsoUI/Art/Compass/repeatableQuest_icon.dds",
	[AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_HOLIDAY] = "EsoUI/Art/Compass/repeatableQuest_icon.dds",			
			
	[AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_ZONE] = "EsoUI/Art/Compass/zoneStoryQuest_icon.dds",
	[AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_ZONE] = "EsoUI/Art/Compass/zoneStoryQuest_icon.dds",
	[AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_ZONE] = "EsoUI/Art/Compass/zoneStoryQuest_icon.dds",						
			
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_MAINSTORY] = "EsoUI/Art/Compass/quest_icon_assisted.dds",
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_MAINSTORY] = "EsoUI/Art/Compass/quest_icon_assisted.dds",
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_MAINSTORY] = "EsoUI/Art/Compass/quest_icon_assisted.dds",
			
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_REPEATABLE] = "EsoUI/Art/Compass/repeatableQuest_icon_assisted.dds",
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_REPEATABLE] = "EsoUI/Art/Compass/repeatableQuest_icon_assisted.dds",
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_REPEATABLE] = "EsoUI/Art/Compass/repeatableQuest_icon_assisted.dds",
			
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_DAILY] = "EsoUI/Art/Compass/repeatableQuest_icon_assisted.dds",
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_DAILY] = "EsoUI/Art/Compass/repeatableQuest_icon_assisted.dds",
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_DAILY] = "EsoUI/Art/Compass/repeatableQuest_icon_assisted.dds",
	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_HOLIDAY] = "EsoUI/Art/Compass/repeatableQuest_icon_assisted.dds",
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_HOLIDAY] = "EsoUI/Art/Compass/repeatableQuest_icon_assisted.dds",
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_HOLIDAY] = "EsoUI/Art/Compass/repeatableQuest_icon_assisted.dds",	
	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_ZONE] = "EsoUI/Art/Compass/zoneStoryQuest_icon_assisted.dds",
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_ZONE] = "EsoUI/Art/Compass/zoneStoryQuest_icon_assisted.dds",
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_ZONE] = "EsoUI/Art/Compass/zoneStoryQuest_icon_assisted.dds",	
	
	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_MAINSTORY] = "EsoUI/Art/Compass/quest_icon.dds",
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_MAINSTORY] = "EsoUI/Art/Compass/quest_icon.dds",
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_MAINSTORY] = "EsoUI/Art/Compass/quest_icon.dds",
		
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_REPEATABLE] = "EsoUI/Art/Compass/repeatableQuest_icon.dds",	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_REPEATABLE] = "EsoUI/Art/Compass/repeatableQuest_icon.dds",
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_REPEATABLE] = "EsoUI/Art/Compass/repeatableQuest_icon.dds",
	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_DAILY] = "EsoUI/Art/Compass/quest_icon.dds",
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_DAILY] = "EsoUI/Art/Compass/quest_icon.dds",	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_DAILY] = "EsoUI/Art/Compass/quest_icon.dds",
	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_HOLIDAY] = "EsoUI/Art/Compass/quest_icon.dds",
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_HOLIDAY] = "EsoUI/Art/Compass/quest_icon.dds",	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_HOLIDAY] = "EsoUI/Art/Compass/quest_icon.dds",

	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_ZONE] = "EsoUI/Art/Compass/zoneStoryQuest_icon.dds",
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_ZONE] = "EsoUI/Art/Compass/zoneStoryQuest_icon.dds",
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_ZONE] = "EsoUI/Art/Compass/zoneStoryQuest_icon.dds",	
}

AUI_MINIMAP_BREADCRUMB_QUEST_PIN_TEXTURES = 
{
	[MAP_PIN_TYPE_ASSISTED_QUEST_CONDITION] = "EsoUI/Art/Compass/quest_icon_door_assisted.dds",
	[MAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION] = "EsoUI/Art/Compass/quest_icon_door_assisted.dds",
	[MAP_PIN_TYPE_ASSISTED_QUEST_ENDING] = "EsoUI/Art/Compass/quest_icon_door_assisted.dds",
		
	[MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_CONDITION] = "EsoUI/Art/Compass/repeatableQuest_icon_door_assisted.dds",
	[MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_OPTIONAL_CONDITION] = "EsoUI/Art/Compass/repeatableQuest_icon_door_assisted.dds",
	[MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_ENDING] = "EsoUI/Art/Compass/repeatableQuest_icon_door_assisted.dds",
		
	[MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_CONDITION] = "EsoUI/Art/Compass/zoneStoryQuest_icon_door_assisted.dds",
	[MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_OPTIONAL_CONDITION] = "EsoUI/Art/Compass/zoneStoryQuest_icon_door_assisted.dds",
	[MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_ENDING] = "EsoUI/Art/Compass/zoneStoryQuest_icon_door_assisted.dds",
		
	[MAP_PIN_TYPE_TRACKED_QUEST_CONDITION] = "EsoUI/Art/Compass/quest_icon_door.dds",
	[MAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION] = "EsoUI/Art/Compass/quest_icon_door.dds",
	[MAP_PIN_TYPE_TRACKED_QUEST_ENDING] = "EsoUI/Art/Compass/quest_icon_door.dds",
		
	[MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_CONDITION] = "EsoUI/Art/Compass/repeatableQuest_icon_door.dds",
	[MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_OPTIONAL_CONDITION] = "EsoUI/Art/Compass/repeatableQuest_icon_door.dds",
	[MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_ENDING] = "EsoUI/Art/Compass/repeatableQuest_icon_door.dds",
		
	[MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_CONDITION] = "EsoUI/Art/Compass/zoneStoryQuest_icon_door.dds",
	[MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_OPTIONAL_CONDITION] = "EsoUI/Art/Compass/zoneStoryQuest_icon_door.dds",
	[MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_ENDING] = "EsoUI/Art/Compass/zoneStoryQuest_icon_door.dds",
		
	[MAP_PIN_TYPE_QUEST_CONDITION] = "EsoUI/Art/Compass/quest_icon_door.dds",
	[MAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION] = "EsoUI/Art/Compass/quest_icon_door.dds",
	[MAP_PIN_TYPE_QUEST_ENDING] = "EsoUI/Art/Compass/quest_icon_door.dds",
		
	[MAP_PIN_TYPE_QUEST_REPEATABLE_CONDITION] = "EsoUI/Art/Compass/repeatableQuest_icon_door.dds",	
	[MAP_PIN_TYPE_QUEST_REPEATABLE_OPTIONAL_CONDITION] = "EsoUI/Art/Compass/repeatableQuest_icon_door.dds",
	[MAP_PIN_TYPE_QUEST_REPEATABLE_ENDING] = "EsoUI/Art/Compass/repeatableQuest_icon_door.dds",
		
	[MAP_PIN_TYPE_QUEST_ZONE_STORY_CONDITION] = "EsoUI/Art/Compass/zoneStoryQuest_icon_door.dds",		
	[MAP_PIN_TYPE_QUEST_ZONE_STORY_OPTIONAL_CONDITION] = "EsoUI/Art/Compass/zoneStoryQuest_icon_door.dds",
	[MAP_PIN_TYPE_QUEST_ZONE_STORY_ENDING] = "EsoUI/Art/Compass/zoneStoryQuest_icon_door.dds",
		
	[MAP_PIN_TYPE_TRACKED_QUEST_OFFER_ZONE_STORY] = "EsoUI/Art/Compass/zoneStoryQuest_available_icon_door.dds",
		
	[AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_MAINSTORY] = "EsoUI/Art/Compass/quest_icon_door.dds",
	[AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_MAINSTORY] = "EsoUI/Art/Compass/quest_icon_door.dds",
	[AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_MAINSTORY] = "EsoUI/Art/Compass/quest_icon_door.dds",			
	
	[AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_REPEATABLE] = "EsoUI/Art/Compass/repeatableQuest_icon_door.dds",
	[AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_REPEATABLE] = "EsoUI/Art/Compass/repeatableQuest_icon_door.dds",
	[AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_REPEATABLE] = "EsoUI/Art/Compass/repeatableQuest_icon_door.dds",		
		
	[AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_DAILY] = "EsoUI/Art/Compass/repeatableQuest_icon_door.dds",
	[AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_DAILY] = "EsoUI/Art/Compass/repeatableQuest_icon_door.dds",
	[AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_DAILY] = "EsoUI/Art/Compass/repeatableQuest_icon_door.dds",		
		
	[AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_HOLIDAY] = "EsoUI/Art/Compass/repeatableQuest_icon_door.dds",
	[AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_HOLIDAY] = "EsoUI/Art/Compass/repeatableQuest_icon_door.dds",
	[AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_HOLIDAY] = "EsoUI/Art/Compass/repeatableQuest_icon_door.dds",	
	
	[AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_ZONE] = "EsoUI/Art/Compass/zoneStoryQuest_icon_door.dds",		
	[AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_ZONE] = "EsoUI/Art/Compass/zoneStoryQuest_icon_door.dds",
	[AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_ZONE] = "EsoUI/Art/Compass/zoneStoryQuest_icon_door.dds",	
	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_MAINSTORY] = "EsoUI/Art/Compass/quest_icon_door_assisted.dds",
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_MAINSTORY] = "EsoUI/Art/Compass/quest_icon_door_assisted.dds",	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_MAINSTORY] = "EsoUI/Art/Compass/quest_icon_door_assisted.dds",	
	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_REPEATABLE] = "EsoUI/Art/Compass/quest_icon_door_assisted.dds",
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_REPEATABLE] = "EsoUI/Art/Compass/quest_icon_door_assisted.dds",	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_REPEATABLE] = "EsoUI/Art/Compass/quest_icon_door_assisted.dds",
		
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_DAILY] = "EsoUI/Art/Compass/quest_icon_door_assisted.dds",
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_DAILY] = "EsoUI/Art/Compass/quest_icon_door_assisted.dds",	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_DAILY] = "EsoUI/Art/Compass/quest_icon_door_assisted.dds",		
	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_HOLIDAY] = "EsoUI/Art/Compass/quest_icon_door_assisted.dds",
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_HOLIDAY] = "EsoUI/Art/Compass/quest_icon_door_assisted.dds",	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_HOLIDAY] = "EsoUI/Art/Compass/quest_icon_door_assisted.dds",		
	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_ZONE] = "EsoUI/Art/Compass/quest_icon_door_assisted.dds",
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_ZONE] = "EsoUI/Art/Compass/quest_icon_door_assisted.dds",	
	[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_ZONE] = "EsoUI/Art/Compass/quest_icon_door_assisted.dds",	
	
	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_MAINSTORY] = "EsoUI/Art/Compass/quest_icon_door.dds",
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_MAINSTORY] = "EsoUI/Art/Compass/quest_icon_door.dds",
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_MAINSTORY] = "EsoUI/Art/Compass/quest_icon_door.dds",	
	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_REPEATABLE] = "EsoUI/Art/Compass/quest_icon_door.dds",
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_REPEATABLE] = "EsoUI/Art/Compass/quest_icon_door.dds",
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_REPEATABLE] = "EsoUI/Art/Compass/quest_icon_door.dds",	
	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_DAILY] = "EsoUI/Art/Compass/quest_icon_door.dds",
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_DAILY] = "EsoUI/Art/Compass/quest_icon_door.dds",		
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_DAILY] = "EsoUI/Art/Compass/quest_icon_door.dds",	
	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_HOLIDAY] = "EsoUI/Art/Compass/quest_icon_door.dds",
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_HOLIDAY] = "EsoUI/Art/Compass/quest_icon_door.dds",		
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_HOLIDAY] = "EsoUI/Art/Compass/quest_icon_door.dds",	
	
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_ZONE] = "EsoUI/Art/Compass/quest_icon_door.dds",
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_ZONE] = "EsoUI/Art/Compass/quest_icon_door.dds",		
	[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_ZONE] = "EsoUI/Art/Compass/quest_icon_door.dds",			
}	

function AUI.Minimap.Pin.GetQuestPinType(pinType, questType, questRepeatType)
	if not AUI.Minimap.IsLoaded() then
		return pinType
	end	
	
	if (ZO_MapPin.QUEST_PIN_TYPES[pinType]) then
	
		if questType == QUEST_TYPE_MAIN_STORY then
			if pinType == MAP_PIN_TYPE_QUEST_CONDITION or pinType == MAP_PIN_TYPE_QUEST_REPEATABLE_CONDITION or pinType == MAP_PIN_TYPE_QUEST_ZONE_STORY_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_MAINSTORY
			elseif pinType == MAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION or pinType == MAP_PIN_TYPE_QUEST_REPEATABLE_OPTIONAL_CONDITION or pinType == MAP_PIN_TYPE_QUEST_ZONE_STORY_OPTIONAL_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_MAINSTORY
			elseif pinType == MAP_PIN_TYPE_QUEST_ENDING or pinType == MAP_PIN_TYPE_QUEST_REPEATABLE_ENDING or pinType == MAP_PIN_TYPE_QUEST_ZONE_STORY_ENDING then
				pinType = AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_MAINSTORY	
				
			elseif pinType == MAP_PIN_TYPE_TRACKED_QUEST_CONDITION or pinType == MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_CONDITION or pinType == MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_MAINSTORY	
			elseif pinType == MAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION or pinType == MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_OPTIONAL_CONDITION or pinType == MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_OPTIONAL_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_MAINSTORY
			elseif pinType == MAP_PIN_TYPE_TRACKED_QUEST_ENDING or pinType == MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_ENDING or pinType == MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_ENDING then
				pinType = AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_MAINSTORY

			elseif pinType == MAP_PIN_TYPE_ASSISTED_QUEST_CONDITION or pinType == MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_CONDITION or pinType == MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_MAINSTORY
			elseif pinType == MAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION or pinType == MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_OPTIONAL_CONDITION or pinType == MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_OPTIONAL_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_MAINSTORY	
			elseif pinType == MAP_PIN_TYPE_ASSISTED_QUEST_ENDING or pinType == MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_ENDING or pinType == MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_ENDING then
				pinType = AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_MAINSTORY										
			end		
		elseif questType == QUEST_TYPE_HOLIDAY_EVENT then
			if pinType == MAP_PIN_TYPE_QUEST_CONDITION or pinType == MAP_PIN_TYPE_QUEST_REPEATABLE_CONDITION or pinType == MAP_PIN_TYPE_QUEST_ZONE_STORY_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_HOLIDAY	
			elseif pinType == MAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION or pinType == MAP_PIN_TYPE_QUEST_REPEATABLE_OPTIONAL_CONDITION or pinType == MAP_PIN_TYPE_QUEST_ZONE_STORY_OPTIONAL_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_HOLIDAY	
			elseif pinType == MAP_PIN_TYPE_QUEST_ENDING or pinType == MAP_PIN_TYPE_QUEST_REPEATABLE_ENDING or pinType == MAP_PIN_TYPE_QUEST_ZONE_STORY_ENDING then
				pinType = AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_HOLIDAY	
				
			elseif pinType == MAP_PIN_TYPE_TRACKED_QUEST_CONDITION or pinType == MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_CONDITION or pinType == MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_HOLIDAY	
			elseif pinType == MAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION or pinType == MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_OPTIONAL_CONDITION or pinType == MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_OPTIONAL_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_HOLIDAY	
			elseif pinType == MAP_PIN_TYPE_TRACKED_QUEST_ENDING or pinType == MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_ENDING or pinType == MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_ENDING then
				pinType = AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_HOLIDAY

			elseif pinType == MAP_PIN_TYPE_ASSISTED_QUEST_CONDITION or pinType == MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_CONDITION or pinType == MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_HOLIDAY	
			elseif pinType == MAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION or pinType == MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_OPTIONAL_CONDITION or pinType == MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_OPTIONAL_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_HOLIDAY	
			elseif pinType == MAP_PIN_TYPE_ASSISTED_QUEST_ENDING or pinType == MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_ENDING or pinType == MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_ENDING then
				pinType = AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_HOLIDAY										
			end	
		elseif questRepeatType == QUEST_REPEAT_DAILY then
			if pinType == MAP_PIN_TYPE_QUEST_CONDITION or pinType == MAP_PIN_TYPE_QUEST_REPEATABLE_CONDITION or pinType == MAP_PIN_TYPE_QUEST_ZONE_STORY_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_DAILY	
			elseif pinType == MAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION or pinType == MAP_PIN_TYPE_QUEST_REPEATABLE_OPTIONAL_CONDITION or pinType == MAP_PIN_TYPE_QUEST_ZONE_STORY_OPTIONAL_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_DAILY
			elseif pinType == MAP_PIN_TYPE_QUEST_ENDING or pinType == MAP_PIN_TYPE_QUEST_REPEATABLE_ENDING or pinType == MAP_PIN_TYPE_QUEST_ZONE_STORY_ENDING then
				pinType = AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_DAILY
				
			elseif pinType == MAP_PIN_TYPE_TRACKED_QUEST_CONDITION or pinType == MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_CONDITION or pinType == MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_DAILY	
			elseif pinType == MAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION or pinType == MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_OPTIONAL_CONDITION or pinType == MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_OPTIONAL_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_DAILY
			elseif pinType == MAP_PIN_TYPE_TRACKED_QUEST_ENDING or pinType == MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_ENDING or pinType == MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_ENDING then
				pinType = AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_DAILY

			elseif pinType == MAP_PIN_TYPE_ASSISTED_QUEST_CONDITION or pinType == MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_CONDITION or pinType == MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_DAILY	
			elseif pinType == MAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION or pinType == MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_OPTIONAL_CONDITION or pinType == MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_OPTIONAL_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_DAILY	
			elseif pinType == MAP_PIN_TYPE_ASSISTED_QUEST_ENDING or pinType == MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_ENDING or pinType == MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_ENDING then
				pinType = AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_DAILY
			end
		elseif questRepeatType == QUEST_REPEAT_REPEATABLE then
			if pinType == MAP_PIN_TYPE_QUEST_CONDITION or pinType == MAP_PIN_TYPE_QUEST_REPEATABLE_CONDITION or pinType == MAP_PIN_TYPE_QUEST_ZONE_STORY_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_REPEATABLE	
			elseif pinType == MAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION or pinType == MAP_PIN_TYPE_QUEST_REPEATABLE_OPTIONAL_CONDITION or pinType == MAP_PIN_TYPE_QUEST_ZONE_STORY_OPTIONAL_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_REPEATABLE
			elseif pinType == MAP_PIN_TYPE_QUEST_ENDING or pinType == MAP_PIN_TYPE_QUEST_REPEATABLE_ENDING or pinType == MAP_PIN_TYPE_QUEST_ZONE_STORY_ENDING then
				pinType = AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_REPEATABLE
				
			elseif pinType == MAP_PIN_TYPE_TRACKED_QUEST_CONDITION or pinType == MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_CONDITION or pinType == MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_REPEATABLE	
			elseif pinType == MAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION or pinType == MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_OPTIONAL_CONDITION or pinType == MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_OPTIONAL_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_REPEATABLE
			elseif pinType == MAP_PIN_TYPE_TRACKED_QUEST_ENDING or pinType == MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_ENDING or pinType == MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_ENDING then
				pinType = AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_REPEATABLE

			elseif pinType == MAP_PIN_TYPE_ASSISTED_QUEST_CONDITION or pinType == MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_CONDITION or pinType == MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_REPEATABLE	
			elseif pinType == MAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION or pinType == MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_OPTIONAL_CONDITION or pinType == MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_OPTIONAL_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_REPEATABLE	
			elseif pinType == MAP_PIN_TYPE_ASSISTED_QUEST_ENDING or pinType == MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_ENDING or pinType == MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_ENDING then
				pinType = AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_REPEATABLE					
			end	
		else
			if pinType == MAP_PIN_TYPE_QUEST_ZONE_STORY_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_ZONE	
			elseif pinType == MAP_PIN_TYPE_QUEST_ZONE_STORY_OPTIONAL_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_ZONE
			elseif pinType == MAP_PIN_TYPE_QUEST_ZONE_STORY_ENDING then
				pinType = AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_ZONE
				
			elseif pinType == MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_ZONE
			elseif pinType == MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_OPTIONAL_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_ZONE
			elseif pinType == MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_ENDING then
				pinType = AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_ZONE

			elseif pinType == MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_ZONE	
			elseif pinType == MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_OPTIONAL_CONDITION then
				pinType = AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_ZONE
			elseif pinType == MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_ENDING then
				pinType = AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_ZONE				
			end				
		end		
	end

	return pinType
end

local function AUI_MapPin_GetUnitState(pinTag)
	local groupSize = GetGroupSize()
	
	local unitTag = nil
	for i=1, groupSize do
		unitTag = GetGroupUnitTagByIndex(i)	
		
		if unitTag == pinTag then	
			if IsUnitDead(unitTag) == true then
				return AUI_MINIMAP_UNIT_DEAD, IsUnitFriend(unitTag) 
			elseif IsUnitInCombat(unitTag) == true then
				return AUI_MINIMAP_UNIT_IN_COMBAT, IsUnitFriend(unitTag) 
			end
			break
		end
	end

	return AUI_MINIMAP_UNIT_NORMAL, IsUnitFriend(unitTag) 
end

function AUI.Minimap.Pin.GetGroupStatePinType(groupTag)
	local pinType = MAP_PIN_TYPE_GROUP
			
	if groupTag then
		local isLeader = IsUnitGroupLeader(groupTag)
		local unitState, isFriend = AUI_MapPin_GetUnitState(groupTag)

		if isLeader then
			if unitState == AUI_MINIMAP_UNIT_IN_COMBAT and AUI.Settings.Minimap.showGroupMemberStatus then	
				if isFriend then
					pinType = AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND_IN_COMBAT				
				else					
					pinType = AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_IN_COMBAT
				end
			elseif unitState == AUI_MINIMAP_UNIT_DEAD and AUI.Settings.Minimap.showGroupMemberStatus then	
				if isFriend then
					pinType = AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND_DEAD				
				else					
					pinType = AUI_MINIMAP_PIN_TYPE_GROUP_DEAD
				end
			elseif unitState == AUI_MINIMAP_UNIT_NORMAL or not AUI.Settings.Minimap.showGroupMemberStatus then
				if isFriend then
					pinType = AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND				
				else					
					pinType = MAP_PIN_TYPE_GROUP_LEADER
				end					
			end
		else
			if unitState == AUI_MINIMAP_UNIT_IN_COMBAT and AUI.Settings.Minimap.showGroupMemberStatus then	
				if isFriend then
					pinType = AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND_IN_COMBAT				
				else					
					pinType = AUI_MINIMAP_PIN_TYPE_GROUP_IN_COMBAT
				end
			elseif unitState == AUI_MINIMAP_UNIT_DEAD and AUI.Settings.Minimap.showGroupMemberStatus then	
				if isFriend then
					pinType = AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND_DEAD				
				else					
					pinType = AUI_MINIMAP_PIN_TYPE_GROUP_DEAD
				end									
			elseif unitState == AUI_MINIMAP_UNIT_NORMAL or not AUI.Settings.Minimap.showGroupMemberStatus then
				if isFriend then
					pinType = AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND				
				else					
					pinType = MAP_PIN_TYPE_GROUP
				end					
			end
		end
	end

	return pinType
end

local function AUI_Minimap_SetIconThemeData(iconThemeData, pinData)
	if pinData and iconThemeData then	
		local overlayTexture = iconThemeData["Overlay_Texture"]
		local pulseTexture = iconThemeData["Pulse_Texture"]
		local backgroundTexture = iconThemeData["Background_Texture"]	
			
		if overlayTexture and pulseTexture and backgroundTexture then		
			pinData.texture = function() return overlayTexture, pulseTexture, backgroundTexture end
		elseif overlayTexture and backgroundTexture and not pulseTexture then
			pinData.texture = function() return overlayTexture, nil, backgroundTexture end
		elseif overlayTexture and pulseTexture and not backgroundTexture then
			pinData.texture = function() return overlayTexture, pulseTexture, nil end	
		elseif overlayTexture then
			pinData.texture = function() return overlayTexture, nil, nil end		
		end	
			
		local color = iconThemeData["Color"]
	
		if color then
			pinData.tint = AUI.Color.ConvertHexToRGBA(color)
		end
	
		local isAnimated = iconThemeData["IsAnimated"]
	
		if color then
			pinData.isAnimated = isAnimated
		end
	end			
end

function AUI.Minimap.Pin.SetPinData()
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_PLAYER].tint 														= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_player_color)		
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_GROUP_LEADER].tint 													= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.pin_group_leader_normal_color)			
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_GROUP].tint 														= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.pin_group_member_normal_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND_DEAD] 		   			 				= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_GROUP_LEADER])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND_DEAD].texture 							= GetGroupMemberDeadTexture
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND_DEAD].tint 								= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_group_leader_friend_dead_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_DEAD] 											= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_GROUP_LEADER])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_DEAD].texture 									= GetGroupLeaderDeadTexture
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_DEAD].tint 									= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_group_leader_dead_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND] 										= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_GROUP_LEADER])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND].texture 								= "EsoUI/Art/Compass/groupLeader.dds"
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND].tint 									= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_group_leader_friend_normal_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_IN_COMBAT] 						 			= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_GROUP_LEADER])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_IN_COMBAT].texture 							= GetGroupLeaderCombatTexture
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_IN_COMBAT].tint 								= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_group_leader_combat_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND_IN_COMBAT] 				 				= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_GROUP_LEADER])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND_IN_COMBAT].texture 						= GetGroupLeaderCombatTexture
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_LEADER_FRIEND_IN_COMBAT].tint 						= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_group_leader_friend_combat_color)
		
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND_DEAD] 				    		 				= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_GROUP])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND_DEAD].texture 									= GetGroupMemberDeadTexture
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND_DEAD].tint 									= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_group_member_friend_dead_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND] 								 				= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_GROUP])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND].texture 										= "EsoUI/Art/MapPins/UI-WorldMapGroupPip.dds"
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND].tint 											= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_group_member_friend_normal_color)
		
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_DEAD] 												= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_GROUP])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_DEAD].texture 										= GetGroupMemberDeadTexture					    		 			
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_DEAD].tint 											= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_group_member_dead_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND_IN_COMBAT] 						 			= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_GROUP])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND_IN_COMBAT].texture 							= GetGroupMemberCombatTexture	
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_FRIEND_IN_COMBAT].tint 								= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_group_member_friend_combat_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_IN_COMBAT] 					    		 			= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_GROUP])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_IN_COMBAT].texture 									= GetGroupMemberCombatTexture	
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_GROUP_IN_COMBAT].tint 										= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_group_member_combat_color)	
	
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_MAINSTORY]   		 						= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_QUEST_CONDITION])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_MAINSTORY].tint 							= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_mainstory_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_MAINSTORY]  						= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION])	
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_MAINSTORY].tint 					= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_mainstory_color)
						
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_MAINSTORY]  									= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_QUEST_ENDING])	
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_MAINSTORY].tint								= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_mainstory_color)

		
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_DAILY]   		 							= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_QUEST_REPEATABLE_CONDITION])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_DAILY].tint 								= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_daily_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_DAILY]  							= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_QUEST_REPEATABLE_OPTIONAL_CONDITION]	)
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_DAILY].tint 						= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_daily_color)	 
					
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_DAILY] 										= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_QUEST_REPEATABLE_ENDING]	)
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_DAILY].tint 									= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_daily_color)

		
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_REPEATABLE]   		 						= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_QUEST_REPEATABLE_CONDITION])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_REPEATABLE].tint 							= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_repeatable_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_REPEATABLE]  						= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_QUEST_REPEATABLE_OPTIONAL_CONDITION]	)
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_REPEATABLE].tint 					= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_repeatable_color)
						
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_REPEATABLE] 									= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_QUEST_REPEATABLE_ENDING])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_REPEATABLE].tint 								= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_repeatable_color)	
		
		
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_HOLIDAY]   		 							= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_QUEST_REPEATABLE_CONDITION])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_HOLIDAY].tint 								= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_holiday_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_HOLIDAY]  							= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_QUEST_REPEATABLE_OPTIONAL_CONDITION]	)
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_HOLIDAY].tint 						= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_holiday_color)
						
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_HOLIDAY]   		 							= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_QUEST_REPEATABLE_ENDING]	)  
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_HOLIDAY].tint 									= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_holiday_color)
		
		
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_ZONE]   		 							= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_QUEST_ZONE_STORY_CONDITION])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_CONDITION_ZONE].tint 									= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_zone_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_ZONE]   		 					= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_QUEST_ZONE_STORY_OPTIONAL_CONDITION])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION_ZONE].tint 						= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_zone_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_ZONE]   		 								= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_QUEST_ZONE_STORY_ENDING]	)
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_QUEST_ENDING_ZONE].tint 									= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_zone_color)
		
		
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_MAINSTORY]   		 				= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_ASSISTED_QUEST_CONDITION])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_MAINSTORY].tint 					= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_mainstory_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_MAINSTORY]   				= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_MAINSTORY].tint 			= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_mainstory_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_MAINSTORY]   							= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_ASSISTED_QUEST_ENDING])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_MAINSTORY].tint 						= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_mainstory_color)


	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_DAILY]   		 					= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_CONDITION])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_DAILY].tint 						= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_daily_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_DAILY]   		 			= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_OPTIONAL_CONDITION])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_DAILY].tint 				= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_daily_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_DAILY]   		 						= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_ENDING])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_DAILY].tint 							= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_daily_color)

			
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_REPEATABLE]   		 				= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_CONDITION])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_REPEATABLE].tint 					= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_repeatable_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_REPEATABLE]   		 	= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_OPTIONAL_CONDITION])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_REPEATABLE].tint 			= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_repeatable_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_REPEATABLE]   		 				= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_ENDING])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_REPEATABLE].tint 						= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_repeatable_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_HOLIDAY]   		 				= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_CONDITION])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_HOLIDAY].tint 						= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_holiday_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_HOLIDAY]   		 		= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_OPTIONAL_CONDITION])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_HOLIDAY].tint 			= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_holiday_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_HOLIDAY]   		 					= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_ENDING]	)
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_HOLIDAY].tint 						= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_holiday_color)


	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_ZONE]   							= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_CONDITION])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_CONDITION_ZONE].tint 						= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_zone_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_ZONE]   					= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_OPTIONAL_CONDITION])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION_ZONE].tint 				= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_zone_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_ZONE]   								= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_ENDING])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_ASSISTED_QUEST_ENDING_ZONE].tint 							= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_zone_color)


	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_MAINSTORY]   		 				= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_TRACKED_QUEST_CONDITION])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_MAINSTORY].tint 					= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_mainstory_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_MAINSTORY]   		 		= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION])	
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_MAINSTORY].tint 			= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_mainstory_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_MAINSTORY]   		 					= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_TRACKED_QUEST_ENDING]	)
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_MAINSTORY].tint 						= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_mainstory_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_DAILY]   		 					= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_CONDITION])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_DAILY].tint 						= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_daily_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_DAILY]   		 			= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_OPTIONAL_CONDITION])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_DAILY].tint 				= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_daily_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_DAILY]   		 						= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_ENDING])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_DAILY].tint 							= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_daily_color)		
		
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_REPEATABLE]   		 				= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_CONDITION])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_REPEATABLE].tint 					= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_repeatable_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_REPEATABLE]   		 		= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_OPTIONAL_CONDITION])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_REPEATABLE].tint 			= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_repeatable_color)
		
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_REPEATABLE]   		 					= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_ENDING])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_REPEATABLE].tint 						= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_repeatable_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_HOLIDAY]   		 					= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_CONDITION])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_HOLIDAY].tint 						= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_holiday_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_HOLIDAY]   		 		= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_OPTIONAL_CONDITION])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_HOLIDAY].tint 				= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_holiday_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_HOLIDAY]   		 					= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_ENDING])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_HOLIDAY].tint 							= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_holiday_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_ZONE]   		 					= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_CONDITION])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_CONDITION_ZONE].tint 							= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_zone_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_ZONE]   		 			= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_OPTIONAL_CONDITION])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION_ZONE].tint 				= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_zone_color)

	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_ZONE]   		 						= AUI.Table.Copy(ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_ENDING])
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_TRACKED_QUEST_ENDING_ZONE].tint 							= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_zone_color)

	
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_QUEST_CONDITION].tint 												= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_normal_color)	
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_QUEST_OPTIONAL_CONDITION].tint 										= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_normal_color)
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_QUEST_ENDING].tint 													= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_normal_color)	
	
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_ASSISTED_QUEST_CONDITION].tint 										= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_normal_color)	
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_ASSISTED_QUEST_OPTIONAL_CONDITION].tint 							= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_normal_color)
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_ASSISTED_QUEST_ENDING].tint 										= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_normal_color)	

	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_TRACKED_QUEST_CONDITION].tint 										= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_normal_color)	
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_TRACKED_QUEST_OPTIONAL_CONDITION].tint 								= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_normal_color)
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_TRACKED_QUEST_ENDING].tint 											= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_normal_color)	
	
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_QUEST_REPEATABLE_CONDITION].tint 									= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_repeatable_color)	
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_QUEST_REPEATABLE_OPTIONAL_CONDITION].tint 							= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_repeatable_color)
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_QUEST_REPEATABLE_ENDING].tint 										= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_repeatable_color)	
	
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_CONDITION].tint 							= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_repeatable_color)	
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_OPTIONAL_CONDITION].tint 					= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_repeatable_color)
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_ASSISTED_QUEST_REPEATABLE_ENDING].tint 								= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_repeatable_color)	

	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_CONDITION].tint 							= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_repeatable_color)	
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_OPTIONAL_CONDITION].tint 					= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_repeatable_color)
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_TRACKED_QUEST_REPEATABLE_ENDING].tint 								= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_repeatable_color)	
	
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_QUEST_ZONE_STORY_CONDITION].tint 									= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_zone_color)	
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_QUEST_ZONE_STORY_OPTIONAL_CONDITION].tint 							= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_zone_color)
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_QUEST_ZONE_STORY_ENDING].tint 										= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_zone_color)	
	
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_CONDITION].tint 							= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_zone_color)	
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_OPTIONAL_CONDITION].tint 					= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_zone_color)
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_ASSISTED_QUEST_ZONE_STORY_ENDING].tint 								= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_zone_color)	

	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_CONDITION].tint 							= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_zone_color)	
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_OPTIONAL_CONDITION].tint 					= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_zone_color)
	ZO_MapPin.PIN_DATA[MAP_PIN_TYPE_TRACKED_QUEST_ZONE_STORY_ENDING].tint 								= AUI.Color.GetColorDefFromNamedRGBA(AUI.Settings.Minimap.pin_quest_zone_color)		
	
	ZO_MapPin.PIN_DATA[AUI_MINIMAP_PIN_TYPE_POI_UNKNOWN]                      							= { level = 10, size = 40, texture = "AUI/images/minimap/unknown-pin.dds"}
		
	for pinType, pinData in pairs(ZO_MapPin.PIN_DATA) do	
		local iconTheme = AUI.Minimap.Theme.GetCurrentMiniMapIconTheme()
		
		if iconTheme and AUI.Settings.Minimap.icon_theme ~= "default" then
			local iconThemeData = iconTheme[pinType]

			if iconThemeData then
				AUI_Minimap_SetIconThemeData(iconThemeData, ZO_MapPin.PIN_DATA[pinType])
			end	
		end		
	end	
end